Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## org.xml.sax
Class SAXNotRecognizedException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
org.xml.sax.SAXException
org.xml.sax.SAXNotRecognizedException`

All Implemented Interfaces:
  java.io.Serializable

      public class SAXNotRecognizedException

extends SAXException

Exception class for an unrecognized identifier.

> This module, both source code and documentation, is in the Public Domain, and comes with NO WARRANTY.

An XMLReader will throw this exception when it finds an unrecognized feature or property identifier; SAX applications and extensions may use this class for other, similar purposes.

Since:
  SAX 2.0
See Also:
  `SAXNotSupportedException`, Serialized Form

Constructor Summary
`SAXNotRecognizedException()` Default constructor.
`SAXNotRecognizedException(java.lang.String message)` Construct a new exception with the given message.

Method Summary

Methods inherited from class org.xml.sax.SAXException
`getException, getMessage, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SAXNotRecognizedException

    public SAXNotRecognizedException()

  Default constructor.

### SAXNotRecognizedException

    public SAXNotRecognizedException(java.lang.String message)

  Construct a new exception with the given message.
  Parameters:
    `message` - The text message of the exception.

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

SAX packages are in the public domain.